
From: Jan Kara <jack@suse.cz>

We must drop references to quota structures before releasing the inode.

Signed-off-by: Jan Kara <jack@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/ext3/ialloc.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN fs/ext3/ialloc.c~ext3-drop-quota-references-before-releasing-inode fs/ext3/ialloc.c
--- devel/fs/ext3/ialloc.c~ext3-drop-quota-references-before-releasing-inode	2005-07-25 21:19:45.000000000 -0700
+++ devel-akpm/fs/ext3/ialloc.c	2005-07-25 21:19:45.000000000 -0700
@@ -604,12 +604,14 @@ got:
 	err = ext3_init_acl(handle, inode, dir);
 	if (err) {
 		DQUOT_FREE_INODE(inode);
+		DQUOT_DROP(inode);
 		goto fail2;
   	}
 	err = ext3_mark_inode_dirty(handle, inode);
 	if (err) {
 		ext3_std_error(sb, err);
 		DQUOT_FREE_INODE(inode);
+		DQUOT_DROP(inode);
 		goto fail2;
 	}
 
_
